summaryrefslogtreecommitdiffstats
path: root/.gitlab-ci/meson-build.sh
diff options
context:
space:
mode:
Diffstat (limited to '.gitlab-ci/meson-build.sh')
-rwxr-xr-x.gitlab-ci/meson-build.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/.gitlab-ci/meson-build.sh b/.gitlab-ci/meson-build.sh
index c2efd2aeedf..7e74095c4bb 100755
--- a/.gitlab-ci/meson-build.sh
+++ b/.gitlab-ci/meson-build.sh
@@ -39,3 +39,24 @@ cd ..
if test -n "$MESON_SHADERDB"; then
./.gitlab-ci/run-shader-db.sh;
fi
+
+# Delete 2MB of includes from artifacts.
+rm -rf install/include
+
+# Strip the drivers in the artifacts to cut 80% of the artifacts size.
+if [ -n "$CROSS" ]; then
+ STRIP=`sed -n -E "s/strip\s*=\s*'(.*)'/\1/p" /cross_file-$CROSS.txt`
+ if [ -z "$STRIP" ]; then
+ echo "Failed to find strip command in cross file"
+ exit 1
+ fi
+else
+ STRIP="strip"
+fi
+find install -name \*.so -exec $STRIP {} \;
+
+# Test runs don't pull down the git tree, so put the dEQP helper
+# script and associated bits there.
+mkdir -p artifacts/
+cp -Rp .gitlab-ci/deqp* artifacts/
+# cp -Rp src/freedreno/ci/expected* artifacts/